function Update(self)
	if self:IsActivated() and self.usedBy == nil then
		self.nearest = 1000000;
		for actor in MovableMan.Actors do
			self.distance = math.sqrt((actor.Pos.X - self.Pos.X) ^ 2 + (actor.Pos.Y - self.Pos.Y) ^ 2);
			if self.distance < self.nearest and self.distance < 50 then
				self.nearest = self.distance;
				self.usedBy = actor;
			end
		end
		print(self.PresetName .. " WAS THROWN BY: " .. self.usedBy.PresetName);
		self.timer = Timer();
	end
end

function Destroy(self)
	if self:IsActivated() then
		self.someError = 0;
		if self.timer.ElapsedSimTimeMS < 2750 then
			self.someError = 1;
			print(self.PresetName .. " WAS DESTROYED BY GUNFIRE");
		end
		for actor in MovableMan.Actors do
			self.distance = math.sqrt((actor.Pos.X - self.Pos.X) ^ 2 + (actor.Pos.Y - self.Pos.Y) ^ 2);
			if self.distance < 25 then
				self.someError = 1;
				print(self.PresetName .. " MALFUCTIONED, ACTOR TOO CLOSE: " .. actor.PresetName);
			end
		end
		if not MovableMan:IsActor(self.usedBy) then
			self.someError = 1;
			print(self.PresetName .. " MALFUCTIONED, USER WAS KILLED");
		end
		if self.someError == 0 then
			print(self.PresetName .. " IS TELEPORTING " .. self.usedBy.PresetName);
			self.usedBy.Pos.X = self.Pos.X;
			self.usedBy.Pos.Y = self.Pos.Y-20;
			self.usedBy.Vel = self.Vel;
		end
	end
end
