function Create(self)
    print("CREATED: " .. self.PresetName);
    self.timer = Timer();
    self.blinkTimer = Timer();	
	self.blinkPeriod = 70;
end

function Destroy(self)
    print("DESTROYED: " .. self.PresetName);
	local isRobot = 0;
	local Robots = { "Dummy", "Dreadnought", "Small MG Turret", "Robot 1", "Robot 2", "Drone", "Medic Drone", "Brain Robot", "Heavy Brain Robot" }; --feel free to edit
	for actor in MovableMan.Actors do
		for i=1, #Robots do
			if actor.PresetName == Robots[i] or actor.ClassName == "ACDropShip" or actor.ClassName == "ACRocket" then
				isRobot = 1;
			end
		end
		if isRobot == 1 then
			local distance = math.sqrt((actor.Pos.X - self.Pos.X) ^ 2 + (actor.Pos.Y - self.Pos.Y) ^ 2);
			if distance <= 50 then
				actor:GibThis();
			end
		end
		isRobot = 0;
	end
end

function Update(self)
	local isRobot = 0;
	local Robots = { "Dummy", "Dreadnought", "Small MG Turret", "Robot 1", "Robot 2", "Drone", "Medic Drone", "Brain Robot", "Heavy Brain Robot" }; --feel free to edit
	for actor in MovableMan.Actors do
		for i=1, #Robots do
			if actor.PresetName == Robots[i] or actor.ClassName == "ACDropShip" or actor.ClassName == "ACRocket" then
				isRobot = 1;
			end
		end
		if isRobot == 1 then
			local distance = math.sqrt((actor.Pos.X - self.Pos.X) ^ 2 + (actor.Pos.Y - self.Pos.Y) ^ 2);
			if distance <= 120 then
				actor.Health = actor.Health - 1;
				if self.blinkTimer.ElapsedSimTimeMS >= self.blinkPeriod then
					actor:FlashWhite(self.blinkPeriod/2);	
				end
			end
		end
		isRobot = 0;
	end
	if self.timer.ElapsedSimTimeMS >= 3000 then
		self:GibThis();
	end
	if self.blinkTimer.ElapsedSimTimeMS >= self.blinkPeriod then
		self.blinkTimer = Timer();	
	end
end
